﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="UseDraggableMarkers.aspx.cs"
    Inherits="CSSamples.UseDraggableMarkers" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Use Draggable Markers</title>
    <style type="text/css">
        .filterStyle
        {
            -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=50)";
        }
    </style>

    <script type="text/javascript">
        var OnMapCreated = function(map) {
            var markerLayer = map.getLayer("MarkerOverlay");
            for (var i = 0, l = markerLayer.markers.length; i < l; i++) {
                var marker = markerLayer.markers[i];
                if (marker != null && marker.icon != null) {
                    marker.icon.imageDiv.style.filter = 'alpha(opacity=50)';
                    marker.icon.imageDiv.firstChild.className = "filterStyle";
                    marker.icon.imageDiv.style.opacity = 0.5;
                }
            }
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <cc1:Map ID="Map1" runat="server" Width="100%" Height="100%">
            </cc1:Map>
            <Description:DescriptionPanel ID="DescPanel" runat="server">
                Drag a marker to a new place.
            </Description:DescriptionPanel>
        </ContentTemplate>
    </asp:UpdatePanel>
    </form>
</body>
</html>
